@import "./../../../../../../static/css/variables";
@import "./../../../../../../static/css/utilities";

.client-main-area {
  .content-wrapper {
    min-height: calc(100vh - 80px);
    padding-top: 1rem;
    overflow-x: hidden;
    background: white;
    .card-statistics {
      border-color: transparent;
      .card-body {
        font-size: 1.2rem;
        font-weight: 500;
        padding: .25rem 1rem;
        .card-body-icon {
          position: absolute;
          z-index: 0;
          top: -5px;
          right: -5px;
          font-size: 2rem;
          -webkit-transform: rotate(15deg);
          -ms-transform: rotate(15deg);
          transform: rotate(15deg);
        }
        i {}
        .title {
          line-height: 1;
          color: #000000bf;
        }
        .value {
          font-size: 1.5rem;
          line-height: 1;
          color: #000000bf;
        }
        .lucro-diario-content {
          .title {
            display: flex;
            align-items: center;
            color: #000000bf;
            .lucro-dia-date {
              cursor: pointer;
              span {
                margin-left: 5px;
                cursor: pointer;
                transition: background-color .25s ease-in-out;
                padding: 0 4px;
                border-radius: 4px;
                &:hover {
                  background-color: white;
                }
              }
              input {}
              .flatpickr-wrapper {
                
              }
            }
          }
          .value {
            font-size: 1.5rem;
            line-height: 1;
            color: #000000bf;
          }
        }
      }
    }

    .card-user-editing {
      padding: 0;
      min-height: 60vh;
      display: flex;
      justify-content: space-between;
      form {
        font-size: 1.2rem;
        padding: 0 1.5rem 1rem;
        label {
          margin-bottom: 0;
        }
        input {
          margin-bottom: .25rem;
        }
        .form-text {
          line-height: 1;
          font-size: 1rem;
        }
      }
      .form-actions {
        border-radius: 0 0 calc(0.25rem - 1px) calc(0.25rem - 1px);
        background-color: rgba(0,0,0,.03);
        border-top: 1px solid rgba(0,0,0,.125);
        padding: .5rem;
        button {
          font-size: 1rem;
        }
      }
      .btn-alterar-aliq {
        font-size: 1rem;
      }
    }
    .card-user-info {
      min-height: 60vh;
      .card-body {
        .info-body {
          width: 100%;
          display: flex;
          justify-content: space-between;
          border-bottom: 1px dashed #d3d3d382;
          margin-bottom: .75rem;
          line-height: 1.2;
          .info-title {
            margin-right: .5rem;
          }
          .info-value {
            font-weight: 500;
            font-size: 1.2rem;
          }
        }
      }
      .card-user-footer {
        button {
          font-size: 1rem;
        }
      }
    }
  }
  .client-tabs {
    min-height: 60vh;
    .nav-link {
      font-size: 1.25rem;
      color: #000000a3;
      &.active {
        font-weight: 600;
        color: #000000bf;
      }
    }
    .tab-pane {
      .dates {
        span {
          &.title {
            font-size: 1.25rem;
            font-weight: 500;
            border-bottom: 1px solid lightgray;
          }
        }
        .first-date {
          span {
            &.curr-date {
              font-size: 1.25rem;
              cursor: pointer;
              transition: background-color .25s ease-in-out;
              padding: 0 4px;
              border-radius: 4px;
              &:hover {
                background-color: #f2b84b7a;
              }
            }
            &.period {
              min-width: 60px;
            }
          }
          input {}
        }
        .final-date {
          span {
            &.curr-date {
              font-size: 1.25rem;
              cursor: pointer;
              transition: background-color .25s ease-in-out;
              padding: 0 4px;
              border-radius: 4px;
              &:hover {
                background-color: #f2b84b7a;
              }
            }
            &.period {
              min-width: 60px;
            }
          }
          input {

          }
        }
      }
      canvas {
        max-height: 32vh;
      }
    }
  }
}



@media (max-width:420px) {
  .client-main-area {
    .content-wrapper {
      .card-statistics {
        .card-body {
          .card-body-icon {}
          i {}
          .title {}
          .value {}
          .lucro-diario-content {
            .title {
              .lucro-dia-date {
                span {
                  &:hover {}
                }
                input {}
                .flatpickr-wrapper {}
              }
            }
            .value {}
          }
        }
      }
      .card-user-editing {
        form {
          label {}
          input {}
          .form-text {}
        }
        .form-actions {
          button {}
        }
        .btn-alterar-aliq {}
      }
      .card-user-info {
        .card-body {
          .info-body {
            .info-title {}
            .info-value {}
          }
        }
        .card-user-footer {
          button {}
        }
      }
    }
    .client-tabs {
      .nav-link {
        &.active {}
      }
      .tab-pane {
        .dates {
          span {
            &.title {}
          }
          .first-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
          .final-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
        }
        canvas {}
      }
    }
  }
}
@media (max-width:600px) {
  .client-main-area {
    .content-wrapper {
      .card-statistics {
        .card-body {
          .card-body-icon {}
          i {}
          .title {}
          .value {}
          .lucro-diario-content {
            .title {
              .lucro-dia-date {
                span {
                  &:hover {}
                }
                input {}
                .flatpickr-wrapper {}
              }
            }
            .value {}
          }
        }
      }
      .card-user-editing {
        form {
          label {}
          input {}
          .form-text {}
        }
        .form-actions {
          button {}
        }
        .btn-alterar-aliq {}
      }
      .card-user-info {
        .card-body {
          .info-body {
            .info-title {}
            .info-value {}
          }
        }
        .card-user-footer {
          button {}
        }
      }
    }
    .client-tabs {
      .nav-link {
        &.active {}
      }
      .tab-pane {
        .dates {
          span {
            &.title {}
          }
          .first-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
          .final-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
        }
        canvas {}
      }
    }
  }
}
@media (max-width:768px) {
  .client-main-area {
    .content-wrapper {
      .card-statistics {
        .card-body {
          .card-body-icon {}
          i {}
          .title {}
          .value {}
          .lucro-diario-content {
            .title {
              .lucro-dia-date {
                span {
                  &:hover {}
                }
                input {}
                .flatpickr-wrapper {}
              }
            }
            .value {}
          }
        }
      }
      .card-user-editing {
        form {
          label {}
          input {}
          .form-text {}
        }
        .form-actions {
          button {}
        }
        .btn-alterar-aliq {}
      }
      .card-user-info {
        .card-body {
          .info-body {
            .info-title {}
            .info-value {}
          }
        }
        .card-user-footer {
          button {}
        }
      }
    }
    .client-tabs {
      .nav-link {
        &.active {}
      }
      .tab-pane {
        .dates {
          span {
            &.title {}
          }
          .first-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
          .final-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
        }
        canvas {}
      }
    }
  }
}
@media (max-width:992px) {
  .client-main-area {
    .content-wrapper {
      .card-statistics {
        .card-body {
          .card-body-icon {}
          i {}
          .title {}
          .value {}
          .lucro-diario-content {
            .title {
              .lucro-dia-date {
                span {
                  &:hover {}
                }
                input {}
                .flatpickr-wrapper {}
              }
            }
            .value {}
          }
        }
      }
      .card-user-editing {
        min-height: auto !important;
        form {
          label {}
          input {}
          .form-text {}
        }
        .form-actions {
          button {}
        }
        .btn-alterar-aliq {}
      }
      .card-user-info {
        min-height: auto !important;
        margin-bottom: 1rem;
        .card-body {
          .info-body {
            .info-title {}
            .info-value {}
          }
        }
        .card-user-footer {
          button {}
        }
      }
    }
    .client-tabs {
      min-height: 50vh;
      .card {
        height: fit-content !important;
      }
      .nav-link {
        &.active {}
      }
      .tab-pane {
        .dates {
          span {
            &.title {}
          }
          .first-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
          .final-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
        }
        canvas {}
      }
    }
  }
}
@media (max-width:1200px) {
  .client-main-area {
    .content-wrapper {
      .card-statistics {
        .card-body {
          .card-body-icon {}
          i {}
          .title {}
          .value {}
          .lucro-diario-content {
            .title {
              .lucro-dia-date {
                span {
                  &:hover {}
                }
                input {}
                .flatpickr-wrapper {}
              }
            }
            .value {}
          }
        }
      }
      .card-user-editing {
        form {
          label {}
          input {}
          .form-text {}
        }
        .form-actions {
          button {}
        }
        .btn-alterar-aliq {}
      }
      .card-user-info {
        .card-body {
          .info-body {
            .info-title {}
            .info-value {}
          }
        }
        .card-user-footer {
          button {}
        }
      }
    }
    .client-tabs {
      .nav-link {
        &.active {}
      }
      .tab-pane {
        .dates {
          span {
            &.title {}
          }
          .first-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
          .final-date {
            span {
              &.curr-date {
                &:hover {}
              }
              &.period {}
            }
            input {}
          }
        }
        canvas {}
      }
    }
  }
}
